Subject: Re: Network oops

From: Nivedita Singhvi <[email-masked]>
Date: Wed, 12 Jun 2002 10:42:40 -0700 (PDT)

On Wed, 12 Jun 2002, Mala Anand wrote:

> >> On Mon, 10 Jun 2002, Mala Anand wrote:
> 
> >>  I have seen this problem with this NIC.  You need to increase
> >> the number of buffers in the RX and TX ring in eepro100.c file.
> >> Right now it is set to 32, change it to 256 or 128 this error
> >> will go away.
> 
> > Donald Becker wrote:
> >Changing the Tx queue size or number of Rx skbuffs waiting to be filled
> >will not fix a problem.  It might mask some problem e.g. a temporary
> >shortage of skbuffs, but it doesn't fix anything.
> 
> The problem what I saw was resource problem and as a result I had packet
> drops.  The
> input rate was high and the driver didn't have enough resources to handle.
> It was a pure resource problem.
> --

I think the problem Donald Becker is referring to is the
fact that it oopses when out of resources, (or whatever),
and that is not a graceful and acceptable thing. Adding
resources pushes the problem to a point under additional
stress/load/consumption. It would be nice if that were
handled gracefully.

thanks,
Nivedita